package com.ssj.bean.kmt.kmt.domain;

import com.ssj.bean.common.framework.core.domain.BaseEntity;

import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

/**
 * @Author: chchen
 * @Description
 * @Date Create in 10:45 2020/5/21
 * @Modified By
 */

@Entity
@Table(name="kmt_exercise_book_teacher_record")
public class KmtExerciseBookTeacherRecord extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 练习册表主键id
     */
    private String exerciseBookId;

    private String teacherId;

    private String teacherName;

    /**
     * 角色，1加工，2审核， 3解析加工，4解析审核
     */
    private int authorityType;

    /**
     * 分配时间
     */
    private Date createTime;

    /**
     * 是否已结薪， 1已结薪
     */
    private int salaryGiven;

    /**
     * 结薪时间
     */
    private Date salaryGivenTime;

    /**
     * 最新的分配记录
     */
    private int lastFlag;

    public String getExerciseBookId() {
        return exerciseBookId;
    }

    public void setExerciseBookId(String exerciseBookId) {
        this.exerciseBookId = exerciseBookId;
    }

    public String getTeacherId() {
        return teacherId;
    }

    public void setTeacherId(String teacherId) {
        this.teacherId = teacherId;
    }

    public String getTeacherName() {
        return teacherName;
    }

    public void setTeacherName(String teacherName) {
        this.teacherName = teacherName;
    }

    public int getAuthorityType() {
        return authorityType;
    }

    public void setAuthorityType(int authorityType) {
        this.authorityType = authorityType;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public int getSalaryGiven() {
        return salaryGiven;
    }

    public void setSalaryGiven(int salaryGiven) {
        this.salaryGiven = salaryGiven;
    }

    public Date getSalaryGivenTime() {
        return salaryGivenTime;
    }

    public void setSalaryGivenTime(Date salaryGivenTime) {
        this.salaryGivenTime = salaryGivenTime;
    }

    public int getLastFlag() {
        return lastFlag;
    }

    public void setLastFlag(int lastFlag) {
        this.lastFlag = lastFlag;
    }
}
